Subject: bug#49811: Empty store items

From: Maxime Devos <[email-masked]>
Date: Tue, 27 Sep 2022 17:17:45 +0200

On 25-09-2022 23:57, Jérémy Korwin-Zmijowski wrote:
> Hi,
> 
> Right now, I have an empty store item : openssh-8.9p1.
> Could be the result of brutal shutdown (laptop battery)…

I think this might be caused by <https://issues.guix.gnu.org/58035>.

> guix gc --verify=repair,contents
> guix build --repair openssh
> guix build --check openssh
> guix build -d openssh
> guix gc --optimize
> guix gc -D /gnu/store/ffp49k0wci7h36lk38lasx4r5lc4i7iv-openssh-8.9p1
> 
> But nothing worked.

One additional trick: openssh is grafted, try repairing the ungrafted 
openssh first:

$ sudo guix build --repair $(guix build openssh --no-grafts)

then the grafted version:

$ sudo guix build --repair $(guix build openssh)

(though if that works, I don't know how the ungrafted openssh could have 
been considered valid in the first place).

> I read somewhere deleting /gnu/store/.links could be helpful but as I'm
> not sure I did not.

It might not be helpful, but it can't be harmful (except for more disk 
usage, but running a 'guix gc --optimize' afterwards should address that).

(If you try this, first delete .links, then do the "guix build 
--repair", in that order.)

Greetings,
Maxime